com.sun.messaging.jms

## Class MQResourceAllocationRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.jms.JMSRuntimeException
        - - javax.jms.MessageFormatRuntimeException
          - - com.sun.messaging.jms.MQResourceAllocationRuntimeException

- All Implemented Interfaces:
    com.sun.messaging.jmq.jmsclient.logging.Loggable, Serializable

      public class MQResourceAllocationRuntimeException
      extends MessageFormatRuntimeException
      implements com.sun.messaging.jmq.jmsclient.logging.Loggable

  This class is the MQ-specific implementation of javax.jms.ResourceAllocationRuntimeException and adds the methods setLogState and getlogState
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MQResourceAllocationRuntimeException(ResourceAllocationException cause)` Construct a `MQResourceAllocationRuntimeException` to wrap the specified ResourceAllocationException
    `MQResourceAllocationRuntimeException(String detailMessage)` Constructs a `MQResourceAllocationRuntimeException` with the specified detail message
    `MQResourceAllocationRuntimeException(String detailMessage, String errorCode)` Constructs a `MQResourceAllocationRuntimeException` with the specified detail message and error code.
    `MQResourceAllocationRuntimeException(String detailMessage, String errorCode, Throwable cause)` Constructs a `MQResourceAllocationRuntimeException` with the specified detail message, error code and cause

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getLogState()` return whether this object is logged
    `void` | `setLogState(boolean state)` Specify whether this object is logged.

    - ### Methods inherited from class javax.jms.JMSRuntimeException

      `getErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MQResourceAllocationRuntimeException

          public MQResourceAllocationRuntimeException(String detailMessage)

      Constructs a `MQResourceAllocationRuntimeException` with the specified detail message
      Parameters:
        `detailMessage` - a description of the exception

    - #### MQResourceAllocationRuntimeException

          public MQResourceAllocationRuntimeException(String detailMessage,
                                              String errorCode)

      Constructs a `MQResourceAllocationRuntimeException` with the specified detail message and error code.
      Parameters:
        `detailMessage` - a description of the exception
        `errorCode` - a provider-specific error code

    - #### MQResourceAllocationRuntimeException

          public MQResourceAllocationRuntimeException(String detailMessage,
                                              String errorCode,
                                              Throwable cause)

      Constructs a `MQResourceAllocationRuntimeException` with the specified detail message, error code and cause
      Parameters:
        `detailMessage` - a description of the exception
        `errorCode` - a provider-specific error code
        `cause` - the underlying cause of this exception

    - #### MQResourceAllocationRuntimeException

          public MQResourceAllocationRuntimeException(ResourceAllocationException cause)

      Construct a `MQResourceAllocationRuntimeException` to wrap the specified ResourceAllocationException
      Parameters:
        `cause` - the underlying cause of this exception

  - ### Method Detail

    - #### setLogState

          public void setLogState(boolean state)

      Specify whether this object is logged.
      Specified by:
        `setLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
      Parameters:
        `whether` - this object is logged

    - #### getLogState

          public boolean getLogState()

      return whether this object is logged
      Specified by:
        `getLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
      Returns:
        whether this object is logged

Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.